> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# News

> This REST API returns structured data for news. For optimal performance, limit the scope of the query using parameters such as tickers, date, and channels, or use updatedSince for deltas. Page offsets are limited from 0 - 100000.

<ResponseExample>
  ```json Response (200 OK) theme={null}
  [
    {
      "id": 36444586,
      "author": "Benzinga Insights",
      "created": "Mon, 01 Jan 2024 13:35:14 -0400",
      "updated": "Mon, 01 Jan 2024 13:35:15 -0400",
      "title": "10 Information Technology Stocks With Whale Alerts In Today's Session",
      "teaser": "",
      "body": "",
      "url": "https://www.benzinga.com/markets/options/24/01/36444586/10-information-technology-stocks-with-whale-alerts-in-todays-session",
      "image": [
        {
          "size": "thumb",
          "url": "https://cdn.benzinga.com/files/imagecache/250x187xUP/images/story/2023/options_image_2.jpeg",
          "alt": "Applied optoelectronics website"
        },
        {
          "size": "small",
          "url": "https://cdn.benzinga.com/files/imagecache/1024x768xUP/images/story/2023/options_image_2.jpeg",
          "alt": "Applied optoelectronics website"
        },
        {
          "size": "large",
          "url": "https://cdn.benzinga.com/files/imagecache/2048x1536xUP/images/story/2023/options_image_2.jpeg",
          "alt": "Applied optoelectronics website"
        }
      ],
      "channels": [
        {
          "name": "Options"
        }
      ],
      "stocks": [
        {
          "name": "AAPL",
          "cusip": "037833100",
          "isin": "US0378331005",
          "exchange": "NASDAQ"
        },
        {
          "name": "CLSK",
          "cusip": "18452B209",
          "isin": "US18452B2097",
          "exchange": "NASDAQ"
        },
        {
          "name": "NVDA",
          "cusip": "67066G104",
          "isin": "US67066G1040",
          "exchange": "NASDAQ"
        },
        {
          "name": "ORCL",
          "cusip": "68389X105",
          "isin": "US68389X1054",
          "exchange": "NYSE"
        },
        {
          "name": "TSM",
          "cusip": "874039100",
          "isin": "US8740391003",
          "exchange": "NYSE"
        }
      ],
      "tags": [
        {
          "name": "BZI-AUOA"
        }
      ]
    }
  ]
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/news-api.spec.yml GET /api/v2/news
openapi: 3.0.0
info:
  contact: {}
  description: Bearer token authentication
  title: Newsfeed & Why is it Moving v2
  version: 2.0.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2/news:
    get:
      tags:
        - News
      summary: Get the news items
      description: >-
        This REST API returns structured data for news. For optimal performance,
        limit the scope of the query using parameters such as tickers, date, and
        channels, or use updatedSince for deltas. Page offsets are limited from
        0 - 100000.
      operationId: get-news
      parameters:
        - description: Specify return format
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
              - application/xml
            default: application/json
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date.
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Maximum 100.
          in: query
          name: pageSize
          schema:
            type: integer
            maximum: 100
            default: 15
        - description: >-
            Specify headline only (headline), headline + teaser (abstract), or
            headline + full body (full) text
          in: query
          name: displayOutput
          schema:
            type: string
            enum:
              - full
              - abstract
              - headline
            default: headline
        - description: >-
            The date to query for news. Shorthand for dateFrom and dateTo if
            they are the same. Format: yyyy-mm-dd
          in: query
          name: date
          schema:
            type: string
        - description: >-
            Date to query from point in time. Sorted by published date. Format:
            yyyy-mm-dd
          in: query
          name: dateFrom
          schema:
            type: string
        - description: >-
            Date to query to point in time. Sorted by published date. Format:
            yyyy-mm-dd
          in: query
          name: dateTo
          schema:
            type: string
        - description: The last updated Unix timestamp (UTC) to pull and sort by
          in: query
          name: updatedSince
          schema:
            type: integer
        - description: The last published Unix timestamp (UTC) to pull and sort by
          in: query
          name: publishedSince
          schema:
            type: integer
        - description: >-
            Allows control of results sorting. Default is created, DESC. Format:
            field:direction. Sort Fields: id, created, updated. Sort Order: asc
            (ascending), desc (descending)
          in: query
          name: sort
          schema:
            type: string
            enum:
              - id:asc
              - id:desc
              - created:asc
              - created:desc
              - updated:asc
              - updated:desc
        - description: 'One or more ISINs separated by a comma. Maximum 50. Format: csv'
          in: query
          name: isin
          schema:
            type: string
        - description: >-
            One or more CUSIPs separated by a comma. Maximum 50. License
            agreement required. Format: csv
          in: query
          name: cusips
          schema:
            type: string
        - description: >-
            One or more ticker symbols separated by a comma. Maximum 50. Format:
            csv
          in: query
          name: tickers
          schema:
            type: string
        - description: >-
            One or more primary ticker symbols separated by a comma. Filters by
            primary ticker association only. Format: csv
          in: query
          name: primaryTickers
          schema:
            type: string
        - description: 'One or more channel names or IDs separated by a comma. Format: csv'
          in: query
          name: channels
          schema:
            type: string
        - description: >-
            One or more words/phrases separated by a comma; searches Title,
            Tags, and Body in order of priority. Format: csv
          in: query
          name: topics
          schema:
            type: string
        - description: >-
            Logical operator for topics query. Use 'and' to require all topics,
            'or' to require any topic
          in: query
          name: topic_group_by
          schema:
            type: string
            enum:
              - and
              - or
            default: or
        - description: 'One or more authors separated by a comma. Format: csv'
          in: query
          name: authors
          schema:
            type: string
        - description: 'One or more content types separated by a comma. Format: csv'
          in: query
          name: content_types
          schema:
            type: string
        - description: Specify the desired format for the api response
          in: query
          name: format
          schema:
            type: string
            enum:
              - text
        - description: Filter by importance level
          in: query
          name: importance
          schema:
            type: string
        - description: Filter by importance rank (1-5)
          in: query
          name: importanceRank
          schema:
            type: integer
        - description: Filter by region (e.g., 'ca' or 'canada' for Canadian content)
          in: query
          name: region
          schema:
            type: string
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/api.NewsItem'
                type: array
            text/xml:
              schema:
                items:
                  $ref: '#/components/schemas/api.NewsItem'
                type: array
        '400':
          description: Invalid or Missing Query Parameters
          content:
            application/json:
              schema:
                type: string
            text/xml:
              schema:
                type: string
        '499':
          description: Request Context Cancelled
          content:
            application/json:
              schema:
                type: string
            text/xml:
              schema:
                type: string
        '500':
          description: Internal Error
          content:
            application/json:
              schema:
                type: string
            text/xml:
              schema:
                type: string
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.NewsItem:
      description: News article item with full metadata
      properties:
        author:
          description: >-
            The author of the article. This could be a Benzinga journalist, news
            desk analyst or contributor on benzinga.com
          example: Benzinga Newsdesk
          type: string
        body:
          description: >-
            The article content. This field can contain HTML and HTML encoded
            characters
          type: string
        channels:
          description: >-
            The topic(s) or categories that relate to the article. Channels can
            have sub-channels, but they will all be listed

            as their own item. For Why is it Moving (WIIM) data, use 'WIIM' as
            channel
          items:
            $ref: '#/components/schemas/api.ChannelTag'
          type: array
        created:
          description: >-
            The moment the article is created. The time zone is GMT-4 (EDT).
            This timestamp will not change. Format: RFC 2822 /

            RFC 1123
          example: Wed, 17 May 2017 14:20:15 -0400
          type: string
        id:
          description: >-
            The unique identifier of the article. This identifier is also found
            in the path of url on benzinga.com
          example: 123456
          type: integer
        image:
          description: >-
            The featured image related to the article, if applicable. Benzinga
            Pro headlines will not contain a featured image
          items:
            $ref: '#/components/schemas/api.Image'
          type: array
        importance_rank:
          description: >-
            The importance rank of the article on a scale of 1 (Low) to 5
            (High). Defaults to 1 when not set
          example: 1
          type: integer
        original_id:
          description: Original article ID if this is a referenced or related article
          type: integer
        stocks:
          description: >-
            The stock symbols that are listed within the article body. This will
            not display competitor symbols unless they are

            specifically referenced in the article
          items:
            $ref: '#/components/schemas/api.Stock'
          type: array
        tags:
          description: >-
            Additional tags that are not channels or categories, but are
            recurring themes including analyst names, bills,

            products, politicians, celebrities, stock movements
          items:
            $ref: '#/components/schemas/api.ChannelTag'
          type: array
        teaser:
          description: >-
            Depending on content source: for full articles, this is the first
            sentence up to 256 characters; for Pro headlines,

            provides additional context. This field can contain HTML and HTML
            encoded characters
          type: string
        title:
          description: The headline of the article. This will only be plain text
          example: Apple Announces New iPhone
          type: string
        updated:
          description: >-
            The timestamp of the last update to the article. The time zone is
            GMT-4 (EDT). This timestamp has the ability to

            change one or many times. Format: RFC 2822 / RFC 1123
          example: Wed, 17 May 2017 14:20:15 -0400
          type: string
        url:
          description: The url where the article lives on benzinga.com
          example: https://www.benzinga.com/news/123456
          type: string
      type: object
    api.ChannelTag:
      description: Channel or tag name
      properties:
        name:
          description: Name of the channel or tag
          example: Technology
          type: string
      type: object
    api.Image:
      description: Article image with size and URL
      properties:
        alt:
          description: Alternative text describing the image for accessibility
          example: Apple logo on a storefront
          type: string
        size:
          description: Image size (thumb, small, large)
          example: large
          type: string
        url:
          description: URL of the image
          example: https://cdn.benzinga.com/files/images/story/2024/example.jpg
          type: string
      type: object
    api.Stock:
      description: Stock information with ticker symbol and identifiers
      properties:
        cusip:
          description: CUSIP identifier (requires license agreement)
          example: 37833100
          type: string
        exchange:
          description: Exchange where the stock is traded
          example: NASDAQ
          type: string
        gics:
          description: GICS industry classification
          example: Semiconductors & Semiconductor Equipment
          type: string
        gics_code:
          description: GICS industry classification code
          example: '45301020'
          type: string
        isin:
          description: ISIN identifier
          example: US0378331005
          type: string
        name:
          description: Stock ticker symbol
          example: AAPL
          type: string
        sector:
          description: Market sector classification
          example: Equity
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: API key authentication. Provide your API key as a query parameter.
      in: query
      name: token
      type: apiKey

````